test:
	# Create rsks directory (if it doesn't exist)
	mkdir -p tests/rsks
	# Do a few steps in in the test/rsks directory:
	#  1. Initialize git repo if it hasn't been already,
	#  2. Add the rsk-files LFS git repo as remote origin,
	#  3. Set spare checkout to true. This will allow us to checkout specific files
	#     only, ignoring the rest.
	#  4. Add the "rsktools" directory as the only thing we actually care to checkout
	#  5. Pull in case any changes were made
	cd tests/rsks \
	; if [ ! -d .git ] ; then git init -q ; fi \
	; git lfs install \
	; git remote add -f origin git@bitbucket.org:rbr/rsk-files.git 2>/dev/null \
	; git config core.sparseCheckout true \
	; echo "rsktools" > .git/info/sparse-checkout \
	; git pull origin master \
	; git lfs pull
